System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.MarshalByValueComponent System.ComponentModel.IBindingListView System.ComponentModel.ISupportInitializeNotification System.ComponentModel.ITypedList System.ComponentModel.Designer("Microsoft.VSDesigner.Data.VS.DataViewDesigner, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultProperty("Table") System.ComponentModel.DefaultEvent("PositionChanged") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DataSourceEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

A major function of the is to allow for data binding on both Windows Forms and Web Forms.

Additionally, a can be customized to present a subset of data from the . This capability lets you have two controls bound to the same , but that show different versions of the data. For example, one control might be bound to a that shows all the rows in the table, and a second might be configured to display only the rows that have been deleted from the . The also has a property. This returns the default for the table. For example, if you want to create a custom view on the table, set the on the returned by the .

To create a filtered and sorted view of data, set the and properties. Then, use the property to return a single .

You can also add and delete from the set of rows using the and methods. When you use those methods, the property can set to specify that only deleted rows or new rows be displayed by the .

If you do not explicitly specify sort criteria for DataView, the DataRowView objects in DataView are sorted based on the index of DataView's corresponding DataRow in the DataTable.Rows DataRowCollection.

linq_dataset allows developers to create complex, powerful queries over a by using vbteclinq. A linq_dataset query returns an enumeration of objects, however, which is not easily used in a binding scenario. can be created from a linq_dataset query and takes on the filtering and sorting characteristics of that query. linq_dataset extends the functionality of the by providing vbteclinq expression-based filtering and sorting, which allows for much more complex and powerful filtering and sorting operations than string-based filtering and sorting. See Data Binding and LINQ to DataSet for more information.

Represents a databindable, customized view of a for sorting, filtering, searching, editing, and navigation. The does not store data, but instead represents a connected view of its corresponding . Changes to the ’s data will affect the . Changes to the ’s data will affect all s associated with it.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified .

  A to add to the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified , , , and .

  A to add to the .
  A to apply to the .
  A to apply to the .
  A to apply to the .
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.DataRowView To be added

  Adds a new row to the .

  A new object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Sets or gets a value that indicates whether deletes are allowed.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(true)
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value that indicates whether edits are allowed.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(true)
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value that indicates whether the new rows can be added by using the method.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(true)
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value that indicates whether to use the default sort. The default sort is (ascending) by all primary keys as specified by .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.ComponentModel.DefaultValue(false)
- Method
  System.Void

  The Visual Studio .NET design environment uses this method to start the initialization of a component that is used on a form or used by another component. The method ends the initialization. Using the BeginInit and EndInit methods prevents the control from being used before it is fully initialized.

  Starts the initialization of a that is used on a form or used by another component. The initialization occurs at runtime.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The method lets you manually close the in derived classes. Use the corresponding method to open the .

  This property is designed for internal use only.

  Closes the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Occurs after a has been changed successfully.

  The source of the event. A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies items into an array. Only for Web Forms Interfaces.

  array to copy into. index to start at. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of records in the after and have been applied.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Data.DataViewManager To be added: an object of type 'DataViewManager' To be added

  Gets the associated with this view.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Void ``

  After deleting a , its state changes to DataViewRowState.Deleted. You can roll back the deletion by calling on the .

  Deletes a row at the specified index.

  The index of the row to delete. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Property change notifications between the and the underlying stop after this method is called. should be called for all objects.

  Disposes of the resources (other than memory) used by the object.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The Visual Studio .NET design environment uses this method to end the initialization of a component that is used on a form or used by another component. The method starts the initialization. Using the BeginInit and EndInit methods prevents the control from being used before it is fully initialized.

  Ends the initialization of a that is used on a form or used by another component. The initialization occurs at runtime.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` To be added. To be added.

  Determines whether the specified instances are considered equal.

  true if the two instances are equal; otherwise, false.

- Method
  System.Int32 `` To be added

  Finds a row in the by the specified sort key value.

  The index of the row in the that contains the sort key value specified; otherwise -1 if the sort key value does not exist.

  The object to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Finds a row in the by the specified sort key values.

  The index of the position of the first row in the that matches the sort key values specified; otherwise -1 if there are no matching sort key values.

  An array of values, typed as . 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRowView[] `` To be added

  Returns an array of objects whose columns match the specified sort key value.

  An array of DataRowView objects whose columns match the specified sort key value; or, if no rows contain the specified sort key values, an empty DataRowView array.

  The column value, typed as , to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRowView[] `` To be added

  Returns an array of objects whose columns match the specified sort key value.

  An array of DataRowView objects whose columns match the specified sort key value; or, if no rows contain the specified sort key values, an empty DataRowView array.

  An array of column values, typed as , to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerator To be added

  Gets an enumerator for this .

  An for navigating through the list.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Occurs after a has been changed successfully.

  The source of the event. A that contains the event data. 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs when initialization of the is completed.

- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the component is initialized.

- Property
  System.Boolean To be added: an object of type 'bool'

  A is a "view" on a because it provides custom sorting and filtering of the data. The property can be queried to determine whether a has been opened by using the method.

  This property is designed for internal use only.

  Gets a value that indicates whether the data source is currently open and projecting views of data on the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataRowView `` To be added. To be added. To be added. To be added.
- Event
  System.ComponentModel.ListChangedEventHandler To be added

  Occurs when the list managed by the changes.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Raises the event.

  A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The method lets you manually open the in derived classes. Use the corresponding method to close the .

  This property is designed for internal use only.

  Opens a .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Reserved for internal use only.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  To form a value, specify the name of a column followed by an operator and a value to filter on. The value must be in quotation marks. For example:

  "LastName = 'Smith'"

  See the property of the class for more information.

  To return only those columns with null values, use the following expression:

  "Isnull(Col1,'Null Column') = 'Null Column'"

  Gets or sets the expression used to filter which rows are viewed in the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Property
  System.Data.DataViewRowState To be added: an object of type 'DataViewRowState'

  Only rows that have been deleted by using the method will have their value set to Deleted. Those rows added using the method will similarly have the property set to Added.

  Using the method of the class does not mean that a row will be marked as Deleted. Use the method instead to make sure that such rows can be viewed in the .

  New rows will also be visible when the is set to ModifiedCurrent or CurrentRows.

  Deleted rows will also be visible when the is set to ModifiedOriginal and OriginalRows.

  Gets or sets the row state filter used in the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Data.DataViewRowState.CurrentRows)
- Property
  System.String To be added: an object of type 'string'

  If you do not explicitly specify sort criteria for DataView, the DataRowView objects in DataView are sorted based on the index of its corresponding DataRow in the DataTable.Rows DataRowCollection.

  For more information, see Creating and Using DataViews.

  Gets or sets the sort column or columns, and sort order for the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  For a description of this member, see .

  A value.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. The use of this member is not supported and will cause a . Instead, use the Clear method on the object returned by .

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  For a description of this member, see .

  A value.
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  For a description of this member, see .

  A value.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A value. A value to be inserted.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A value.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A value.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The item added to the list.

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A object. A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  For a description of this member, see .

  A object. A value.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ListSortDirection To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptor To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A object.
- Property
  2.0.0.0
  System.String To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.ComponentModel.ListSortDescriptionCollection To be added.

  This member is an explicit interface member implementation. The use of this member is not supported and will cause a . Instead, use the Clear method on the object returned by .

  For a description of this member, see .

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` To be added. To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.String ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  For a description of this member, see .

  An array of objects.
- Property
  System.Data.DataTable To be added: an object of type 'DataTable'

  The also has a property which returns the default for the table. For example, if you want to create a custom view on the table, set the on the returned by the .

  You can only set the property if the current value is null.

  Gets or sets the source .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.ComponentModel.DefaultValue(null)
  System.ComponentModel.TypeConverter(typeof(System.Data.DataTableTypeConverter))
- Method
  2.0.0.0
  System.Data.DataTable

  Because this method does not let you specify the name for the output , its name is the same as the name of the source DataTable. Because this method does not let you specify a subset of available columns, the output table contains the same columns as the input table.

  Creates and returns a new based on rows in an existing .

  A new instance that contains the requested rows and columns.

- Method
  2.0.0.0
  System.Data.DataTable ``

  Because this method does not let you specify a subset of available columns, the output table contains the same columns as the input table.

  Creates and returns a new based on rows in an existing .

  A new instance that contains the requested rows and columns.

  The name of the returned .
- Method
  2.0.0.0
  System.Data.DataTable `` `System.ParamArray` To be added.

  Because this method does not let you specify the name for the output , its name is the same as the name of the source .

  Creates and returns a new based on rows in an existing .

  A new instance that contains the requested rows and columns.

  A string array that contains a list of the column names to be included in the returned . The contains the specified columns in the order they appear within this array.
- Method
  2.0.0.0
  System.Data.DataTable `` `` `System.ParamArray` To be added. To be added.

  Use this overloaded version of the method if you have to retrieve distinct values in a subset of available columns, specifying a new name for the returned . If you do not need distinct rows or a subset of columns, see .

  Creates and returns a new based on rows in an existing .

  A new instance that contains the requested rows and columns.

  A string array that contains a list of the column names to be included in the returned . The DataTable contains the specified columns in the order they appear within this array.
- Method
  System.Void To be added

  Reserved for internal use only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Reserved for internal use only.

  Reserved for internal use only. 1.0.5000.0 2.0.0.0